Subject: Re:internal/xyz coordinates

From: Jan Labanowski <[email-masked]>
Date: Sun, 2 Jan 2000 14:16:46 -0500 (EST)

Dear Carlos,

N atoms in space have 3N cartesian coordinates. But some of this information
is redundant, since they also provide the orientation, which does not
change the relations between atams. Assuming that atoms of your molecule
do not lie on the straight line, you can rotate the molecule
around 3 orthogonal (i.e., perpendicular axes) and move it independently
in three dimension without changing any relation between atoms. So, in
fact, there is 3N-6 values which are needed to specify relation between
atoms. 
You only have bond lengths between atoms, i.e., 
N*(N-1)/2  values, which is only enough to specify uniquely the relation
in the molecule with 2 atoms. For larger moleculues you need more data
(angles or additional distances). You may want to read more about this in:

http://www.ccl.net/cca/documents/molecular-modeling/

Jan Labanowski
[email-masked]

On Sun, 2 Jan 2000, Carlos  Robles V.  wrote:

> Hi everybody;
> 
> I wish you a very happy year 2000, and of course for the rest of the
> century. I have a problem, and I hope someone can help me..
> 
> I need to know the real xyz coordinates (coordinates in space) of simple
> organic
> molecular structures. But the problem is that I only know the atoms and the
> bonds between them.
> 
> How can I do ?
> I would like have every coordinates in zero (x=y=z=0) and to pass the input
> file to a program or function that translate the information to real (or
> almost) xyz coordinates.
> Do you know a program like that ?
> I´ve tryed with Tinker, but this program requieres certain that input file
> is in format .PDB, and that format I can't to obtain directly from your
> output file. 
> 
> The global question is : Can I translate my file in another that
> contains the real (or almost) orthogonal coordinates ?
> 
> Note : 
> - I work under Linux. 
> - My file is something like this (a very simple structure):
> 
> atoms 
> C1
> C2
> H1
> H2
> H3
> H4
> H5
> H6
> bonds
> C1 H1
> C1 C2
> C1 H2
> C1 H3
> C2 H4
> C2 H5
> C2 H6
> 
> Greetings, Carlos Robles .
> 

Jan K. Labanowski            |    phone: 614-292-9279,  FAX: 614-292-7168
Ohio Supercomputer Center    |    Internet: [email-masked] 
1224 Kinnear Rd,             |    http://www.ccl.net/chemistry.html
Columbus, OH 43212-1163      |    http://www.ccl.net/

---

From: Jan Labanowski <[email-masked]>
Date: Mon, 3 Jan 2000 00:12:21 -0500 (EST)

Actually I was wrong here... (It was a long night {:-)}...).
I glanced at it again, and found major problem...
You do not have N*(N-1)/2 distances... You have only bonds. And this is not
related to the number of atoms, but to sum of valences if individual atoms.
Beside the simplest molecules, like diatomics, cyclic triatomics, or highly
symmetric systems, the bond lengths are not enough to specify the internal
geometry of molecules, and you will need angles or distances between nonbonded
atoms. In fact, for molecules with more than 4 atoms, providing all interatomic
distances will be more than enough (system will be overdetermined), since
these distances are dependent on each other... E.g.,:

No. of atoms         No. of possible distances      No. of degress of freedom
   N                       N*(N-1)/2                     3N-6  (for nonlinear)
   1                        0                               0
   2                        1                               1  (3N-5 linear)
   3                        3                               3
   4                        6                               6
   5                       10                               9
   6                       15                              12